﻿@{
    ViewBag.Title = "Cadastro";
}

@using  Blum.Access.Entities.Enum
@using  Blum.Web.Models

<h1>Cadastro</h1>
<form method="get" asp-controller="Cadastro" asp-action="Cadastrar">
    @Html.AntiForgeryToken()

    @Html.CreateModel(new CadastroViewModel())
    @Html.Edit("Nome")
    @Html.Edit("Email")

    @Html.Linha()
    @Html.EditCPF("CPF")
    @Html.Date("DataNascimento")
    @Html.FimLinha()

    @Html.Linha()
    @Html.EnumEdit("Sexo", Html.GetEnumSelectList<Sexo>())
    @Html.EnumEdit("EstadoCivil", Html.GetEnumSelectList<EstadoCivil>())
    @Html.FimLinha()

    @Html.BotaoSalvar("Cadastrar")
</form>
